R 2.12.0 for Windows: error when loading (some) packages

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

R 2.12.0 for Windows: error when loading (some) packages

Renaud Lancelot
Dear all,

I have installed the latest version of R 2.12.0 available on CRAN
(http://cran.r-project.org). When I try to load the recommended
package lattice:

> library(lattice)
Error: package 'lattice' is not installed for 'arch=i386'

I am running Rgui using
C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla

> sessionInfo()
R version 2.12.0 (2010-10-15)
Platform: i386-pc-mingw32/i386 (32-bit)

locale:
[1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
[3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
[5] LC_TIME=French_France.1252

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base

By the way, I met the same error when trying to load many contributed
packages which were installed in a separate library

> .libPaths()
[1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"

I had to reinstall them from CRAN.

--
Renaud Lancelot
EDEN Project, coordinator
http://www.eden-fp6project.net/

UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
Joint research unit "Control of emerging and exotic animal diseases"

CIRAD, Campus International de Baillarguet TA A-DIR / B
F34398 Montpellier
http://umr-cmaee.cirad.fr/

Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

Prof Brian Ripley
This is the very first item in the CHANGES file for 2.12.0 ....

How to upgrade your R is an FAQ,
http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f


On Mon, 18 Oct 2010, Renaud Lancelot wrote:

> Dear all,
>
> I have installed the latest version of R 2.12.0 available on CRAN
> (http://cran.r-project.org). When I try to load the recommended
> package lattice:
>
>> library(lattice)
> Error: package 'lattice' is not installed for 'arch=i386'
>
> I am running Rgui using
> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>
>> sessionInfo()
> R version 2.12.0 (2010-10-15)
> Platform: i386-pc-mingw32/i386 (32-bit)
>
> locale:
> [1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
> [5] LC_TIME=French_France.1252
>
> attached base packages:
> [1] stats     graphics  grDevices utils     datasets  methods   base
>
> By the way, I met the same error when trying to load many contributed
> packages which were installed in a separate library
>
>> .libPaths()
> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"
>
> I had to reinstall them from CRAN.
>
> --
> Renaud Lancelot
> EDEN Project, coordinator
> http://www.eden-fp6project.net/
>
> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
> Joint research unit "Control of emerging and exotic animal diseases"
>
> CIRAD, Campus International de Baillarguet TA A-DIR / B
> F34398 Montpellier
> http://umr-cmaee.cirad.fr/
>
> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>
> ______________________________________________
> [hidden email] mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
> and provide commented, minimal, self-contained, reproducible code.
>
--
Brian D. Ripley,                  [hidden email]
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595
______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

Renaud Lancelot
Thank you. I have read the CHANGES file as well as the FAQ, indeed. I
have uninstalled R, removed the remaining directories and reinstalled
the new version. I have also run

update.packages(checkBuilt=TRUE, ask=FALSE)

Everything works fine except for the recommended package lattice:

> library(lattice)
Error: package 'lattice' is not installed for 'arch=i386'

Did I do something wrong? I'd be interested to know if others met the
same problem.


2010/10/18 Prof Brian Ripley <[hidden email]>:

> This is the very first item in the CHANGES file for 2.12.0 ....
>
> How to upgrade your R is an FAQ,
> http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f
>
>
> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>
>> Dear all,
>>
>> I have installed the latest version of R 2.12.0 available on CRAN
>> (http://cran.r-project.org). When I try to load the recommended
>> package lattice:
>>
>>> library(lattice)
>>
>> Error: package 'lattice' is not installed for 'arch=i386'
>>
>> I am running Rgui using
>> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>>
>>> sessionInfo()
>>
>> R version 2.12.0 (2010-10-15)
>> Platform: i386-pc-mingw32/i386 (32-bit)
>>
>> locale:
>> [1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
>> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
>> [5] LC_TIME=French_France.1252
>>
>> attached base packages:
>> [1] stats     graphics  grDevices utils     datasets  methods   base
>>
>> By the way, I met the same error when trying to load many contributed
>> packages which were installed in a separate library
>>
>>> .libPaths()
>>
>> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"
>>
>> I had to reinstall them from CRAN.
>>
>> --
>> Renaud Lancelot
>> EDEN Project, coordinator
>> http://www.eden-fp6project.net/
>>
>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>> Joint research unit "Control of emerging and exotic animal diseases"
>>
>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>> F34398 Montpellier
>> http://umr-cmaee.cirad.fr/
>>
>> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
>> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>>
>> ______________________________________________
>> [hidden email] mailing list
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide
>> http://www.R-project.org/posting-guide.html
>> and provide commented, minimal, self-contained, reproducible code.
>>
>
> --
> Brian D. Ripley,                  [hidden email]
> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
> University of Oxford,             Tel:  +44 1865 272861 (self)
> 1 South Parks Road,                     +44 1865 272866 (PA)
> Oxford OX1 3TG, UK                Fax:  +44 1865 272595



--
Renaud Lancelot
EDEN Project, coordinator
http://www.eden-fp6project.net/

UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
Joint research unit "Control of emerging and exotic animal diseases"

CIRAD, Campus International de Baillarguet TA A-DIR / B
F34398 Montpellier
http://umr-cmaee.cirad.fr/

Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

D. Rizopoulos
I get exactly the same error with package 'RWinEdt' -- though in
http://cran.r-project.org/bin/windows/contrib/r-release/ReadMe it is
mentioned that this has probably something to do with GUI interactions??

Best,
Dimitris


On 10/18/2010 8:49 AM, Renaud Lancelot wrote:

> Thank you. I have read the CHANGES file as well as the FAQ, indeed. I
> have uninstalled R, removed the remaining directories and reinstalled
> the new version. I have also run
>
> update.packages(checkBuilt=TRUE, ask=FALSE)
>
> Everything works fine except for the recommended package lattice:
>
>> library(lattice)
> Error: package 'lattice' is not installed for 'arch=i386'
>
> Did I do something wrong? I'd be interested to know if others met the
> same problem.
>
>
> 2010/10/18 Prof Brian Ripley<[hidden email]>:
>> This is the very first item in the CHANGES file for 2.12.0 ....
>>
>> How to upgrade your R is an FAQ,
>> http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f
>>
>>
>> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>>
>>> Dear all,
>>>
>>> I have installed the latest version of R 2.12.0 available on CRAN
>>> (http://cran.r-project.org). When I try to load the recommended
>>> package lattice:
>>>
>>>> library(lattice)
>>>
>>> Error: package 'lattice' is not installed for 'arch=i386'
>>>
>>> I am running Rgui using
>>> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>>>
>>>> sessionInfo()
>>>
>>> R version 2.12.0 (2010-10-15)
>>> Platform: i386-pc-mingw32/i386 (32-bit)
>>>
>>> locale:
>>> [1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
>>> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
>>> [5] LC_TIME=French_France.1252
>>>
>>> attached base packages:
>>> [1] stats     graphics  grDevices utils     datasets  methods   base
>>>
>>> By the way, I met the same error when trying to load many contributed
>>> packages which were installed in a separate library
>>>
>>>> .libPaths()
>>>
>>> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"
>>>
>>> I had to reinstall them from CRAN.
>>>
>>> --
>>> Renaud Lancelot
>>> EDEN Project, coordinator
>>> http://www.eden-fp6project.net/
>>>
>>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>>> Joint research unit "Control of emerging and exotic animal diseases"
>>>
>>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>>> F34398 Montpellier
>>> http://umr-cmaee.cirad.fr/
>>>
>>> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
>>> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>>>
>>> ______________________________________________
>>> [hidden email] mailing list
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide
>>> http://www.R-project.org/posting-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>
>> --
>> Brian D. Ripley,                  [hidden email]
>> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
>> University of Oxford,             Tel:  +44 1865 272861 (self)
>> 1 South Parks Road,                     +44 1865 272866 (PA)
>> Oxford OX1 3TG, UK                Fax:  +44 1865 272595
>
>
>

--
Dimitris Rizopoulos
Assistant Professor
Department of Biostatistics
Erasmus University Medical Center

Address: PO Box 2040, 3000 CA Rotterdam, the Netherlands
Tel: +31/(0)10/7043478
Fax: +31/(0)10/7043014
Web: http://www.erasmusmc.nl/biostatistiek/

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

Prof Brian Ripley
In reply to this post by Renaud Lancelot
On Mon, 18 Oct 2010, Renaud Lancelot wrote:

> Thank you. I have read the CHANGES file as well as the FAQ, indeed. I
> have uninstalled R, removed the remaining directories and reinstalled
> the new version. I have also run
>
> update.packages(checkBuilt=TRUE, ask=FALSE)
>
> Everything works fine except for the recommended package lattice:
>
>> library(lattice)
> Error: package 'lattice' is not installed for 'arch=i386'
>
> Did I do something wrong? I'd be interested to know if others met the
> same problem.
Please locate it -- you have an old copy in your library path and it
is not available as a binary for 2.12.0.

>
>
> 2010/10/18 Prof Brian Ripley <[hidden email]>:
>> This is the very first item in the CHANGES file for 2.12.0 ....
>>
>> How to upgrade your R is an FAQ,
>> http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f
>>
>>
>> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>>
>>> Dear all,
>>>
>>> I have installed the latest version of R 2.12.0 available on CRAN
>>> (http://cran.r-project.org). When I try to load the recommended
>>> package lattice:
>>>
>>>> library(lattice)
>>>
>>> Error: package 'lattice' is not installed for 'arch=i386'
>>>
>>> I am running Rgui using
>>> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>>>
>>>> sessionInfo()
>>>
>>> R version 2.12.0 (2010-10-15)
>>> Platform: i386-pc-mingw32/i386 (32-bit)
>>>
>>> locale:
>>> [1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
>>> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
>>> [5] LC_TIME=French_France.1252
>>>
>>> attached base packages:
>>> [1] stats     graphics  grDevices utils     datasets  methods   base
>>>
>>> By the way, I met the same error when trying to load many contributed
>>> packages which were installed in a separate library
>>>
>>>> .libPaths()
>>>
>>> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"
>>>
>>> I had to reinstall them from CRAN.
>>>
>>> --
>>> Renaud Lancelot
>>> EDEN Project, coordinator
>>> http://www.eden-fp6project.net/
>>>
>>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>>> Joint research unit "Control of emerging and exotic animal diseases"
>>>
>>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>>> F34398 Montpellier
>>> http://umr-cmaee.cirad.fr/
>>>
>>> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
>>> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>>>
>>> ______________________________________________
>>> [hidden email] mailing list
>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>> PLEASE do read the posting guide
>>> http://www.R-project.org/posting-guide.html
>>> and provide commented, minimal, self-contained, reproducible code.
>>>
>>
>> --
>> Brian D. Ripley,                  [hidden email]
>> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
>> University of Oxford,             Tel:  +44 1865 272861 (self)
>> 1 South Parks Road,                     +44 1865 272866 (PA)
>> Oxford OX1 3TG, UK                Fax:  +44 1865 272595
>
>
>
> --
> Renaud Lancelot
> EDEN Project, coordinator
> http://www.eden-fp6project.net/
>
> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
> Joint research unit "Control of emerging and exotic animal diseases"
>
> CIRAD, Campus International de Baillarguet TA A-DIR / B
> F34398 Montpellier
> http://umr-cmaee.cirad.fr/
>
> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>
--
Brian D. Ripley,                  [hidden email]
Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
University of Oxford,             Tel:  +44 1865 272861 (self)
1 South Parks Road,                     +44 1865 272866 (PA)
Oxford OX1 3TG, UK                Fax:  +44 1865 272595
______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

Renaud Lancelot
Of course you're right!!! I had a copy of lattice in C:/R/RLIBS

> .libPaths()
> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"

I have removed it and this has solved the problem.

Thank you very much.


2010/10/18 Prof Brian Ripley <[hidden email]>:

> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>
>> Thank you. I have read the CHANGES file as well as the FAQ, indeed. I
>> have uninstalled R, removed the remaining directories and reinstalled
>> the new version. I have also run
>>
>> update.packages(checkBuilt=TRUE, ask=FALSE)
>>
>> Everything works fine except for the recommended package lattice:
>>
>>> library(lattice)
>>
>> Error: package 'lattice' is not installed for 'arch=i386'
>>
>> Did I do something wrong? I'd be interested to know if others met the
>> same problem.
>
> Please locate it -- you have an old copy in your library path and it is not
> available as a binary for 2.12.0.
>
>>
>>
>> 2010/10/18 Prof Brian Ripley <[hidden email]>:
>>>
>>> This is the very first item in the CHANGES file for 2.12.0 ....
>>>
>>> How to upgrade your R is an FAQ,
>>>
>>> http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f
>>>
>>>
>>> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>>>
>>>> Dear all,
>>>>
>>>> I have installed the latest version of R 2.12.0 available on CRAN
>>>> (http://cran.r-project.org). When I try to load the recommended
>>>> package lattice:
>>>>
>>>>> library(lattice)
>>>>
>>>> Error: package 'lattice' is not installed for 'arch=i386'
>>>>
>>>> I am running Rgui using
>>>> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>>>>
>>>>> sessionInfo()
>>>>
>>>> R version 2.12.0 (2010-10-15)
>>>> Platform: i386-pc-mingw32/i386 (32-bit)
>>>>
>>>> locale:
>>>> [1] LC_COLLATE=French_France.1252  LC_CTYPE=French_France.1252
>>>> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
>>>> [5] LC_TIME=French_France.1252
>>>>
>>>> attached base packages:
>>>> [1] stats     graphics  grDevices utils     datasets  methods   base
>>>>
>>>> By the way, I met the same error when trying to load many contributed
>>>> packages which were installed in a separate library
>>>>
>>>>> .libPaths()
>>>>
>>>> [1] "C:/R/RLIBS"            "C:/R/R-2.12.0/library"
>>>>
>>>> I had to reinstall them from CRAN.
>>>>
>>>> --
>>>> Renaud Lancelot
>>>> EDEN Project, coordinator
>>>> http://www.eden-fp6project.net/
>>>>
>>>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>>>> Joint research unit "Control of emerging and exotic animal diseases"
>>>>
>>>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>>>> F34398 Montpellier
>>>> http://umr-cmaee.cirad.fr/
>>>>
>>>> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
>>>> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>>>>
>>>> ______________________________________________
>>>> [hidden email] mailing list
>>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>>> PLEASE do read the posting guide
>>>> http://www.R-project.org/posting-guide.html
>>>> and provide commented, minimal, self-contained, reproducible code.
>>>>
>>>
>>> --
>>> Brian D. Ripley,                  [hidden email]
>>> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
>>> University of Oxford,             Tel:  +44 1865 272861 (self)
>>> 1 South Parks Road,                     +44 1865 272866 (PA)
>>> Oxford OX1 3TG, UK                Fax:  +44 1865 272595
>>
>>
>>
>> --
>> Renaud Lancelot
>> EDEN Project, coordinator
>> http://www.eden-fp6project.net/
>>
>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>> Joint research unit "Control of emerging and exotic animal diseases"
>>
>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>> F34398 Montpellier
>> http://umr-cmaee.cirad.fr/
>>
>> Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
>> Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69
>>
>
> --
> Brian D. Ripley,                  [hidden email]
> Professor of Applied Statistics,  http://www.stats.ox.ac.uk/~ripley/
> University of Oxford,             Tel:  +44 1865 272861 (self)
> 1 South Parks Road,                     +44 1865 272866 (PA)
> Oxford OX1 3TG, UK                Fax:  +44 1865 272595



--
Renaud Lancelot
EDEN Project, coordinator
http://www.eden-fp6project.net/

UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
Joint research unit "Control of emerging and exotic animal diseases"

CIRAD, Campus International de Baillarguet TA A-DIR / B
F34398 Montpellier
http://umr-cmaee.cirad.fr/

Tel.  +33 4 67 59 37 17  -  Fax  +33 4 67 59 37 95
Secr. +33 4 67 59 37 37  - Cell. +33 6 77 52 08 69

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: R 2.12.0 for Windows: error when loading (some) packages

Uwe Ligges-3
In reply to this post by D. Rizopoulos


On 18.10.2010 09:01, Dimitris Rizopoulos wrote:
> I get exactly the same error with package 'RWinEdt' -- though in
> http://cran.r-project.org/bin/windows/contrib/r-release/ReadMe it is
> mentioned that this has probably something to do with GUI interactions??


In that case you upgraded R but forgot to update RWinEdt

Please run

update.packages(checkBuilt=TRUE)

and try again.

Uwe Ligges



> Best,
> Dimitris
>
>
> On 10/18/2010 8:49 AM, Renaud Lancelot wrote:
>> Thank you. I have read the CHANGES file as well as the FAQ, indeed. I
>> have uninstalled R, removed the remaining directories and reinstalled
>> the new version. I have also run
>>
>> update.packages(checkBuilt=TRUE, ask=FALSE)
>>
>> Everything works fine except for the recommended package lattice:
>>
>>> library(lattice)
>> Error: package 'lattice' is not installed for 'arch=i386'
>>
>> Did I do something wrong? I'd be interested to know if others met the
>> same problem.
>>
>>
>> 2010/10/18 Prof Brian Ripley<[hidden email]>:
>>> This is the very first item in the CHANGES file for 2.12.0 ....
>>>
>>> How to upgrade your R is an FAQ,
>>> http://cran.r-project.org/bin/windows/base/rw-FAQ.html#What_0027s-the-best-way-to-upgrade_003f
>>>
>>>
>>>
>>> On Mon, 18 Oct 2010, Renaud Lancelot wrote:
>>>
>>>> Dear all,
>>>>
>>>> I have installed the latest version of R 2.12.0 available on CRAN
>>>> (http://cran.r-project.org). When I try to load the recommended
>>>> package lattice:
>>>>
>>>>> library(lattice)
>>>>
>>>> Error: package 'lattice' is not installed for 'arch=i386'
>>>>
>>>> I am running Rgui using
>>>> C:\R\R-2.12.0\bin\i386\Rgui.exe --vanilla
>>>>
>>>>> sessionInfo()
>>>>
>>>> R version 2.12.0 (2010-10-15)
>>>> Platform: i386-pc-mingw32/i386 (32-bit)
>>>>
>>>> locale:
>>>> [1] LC_COLLATE=French_France.1252 LC_CTYPE=French_France.1252
>>>> [3] LC_MONETARY=French_France.1252 LC_NUMERIC=C
>>>> [5] LC_TIME=French_France.1252
>>>>
>>>> attached base packages:
>>>> [1] stats graphics grDevices utils datasets methods base
>>>>
>>>> By the way, I met the same error when trying to load many contributed
>>>> packages which were installed in a separate library
>>>>
>>>>> .libPaths()
>>>>
>>>> [1] "C:/R/RLIBS" "C:/R/R-2.12.0/library"
>>>>
>>>> I had to reinstall them from CRAN.
>>>>
>>>> --
>>>> Renaud Lancelot
>>>> EDEN Project, coordinator
>>>> http://www.eden-fp6project.net/
>>>>
>>>> UMR CIRAD-INRA "Contrôle des maladies animales exotiques et émergentes"
>>>> Joint research unit "Control of emerging and exotic animal diseases"
>>>>
>>>> CIRAD, Campus International de Baillarguet TA A-DIR / B
>>>> F34398 Montpellier
>>>> http://umr-cmaee.cirad.fr/
>>>>
>>>> Tel. +33 4 67 59 37 17 - Fax +33 4 67 59 37 95
>>>> Secr. +33 4 67 59 37 37 - Cell. +33 6 77 52 08 69
>>>>
>>>> ______________________________________________
>>>> [hidden email] mailing list
>>>> https://stat.ethz.ch/mailman/listinfo/r-help
>>>> PLEASE do read the posting guide
>>>> http://www.R-project.org/posting-guide.html
>>>> and provide commented, minimal, self-contained, reproducible code.
>>>>
>>>
>>> --
>>> Brian D. Ripley, [hidden email]
>>> Professor of Applied Statistics, http://www.stats.ox.ac.uk/~ripley/
>>> University of Oxford, Tel: +44 1865 272861 (self)
>>> 1 South Parks Road, +44 1865 272866 (PA)
>>> Oxford OX1 3TG, UK Fax: +44 1865 272595
>>
>>
>>
>

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.